<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="14113" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES" initialViewController="XmM-PM-WrH">
    <device id="retina4_7" orientation="portrait">
        <adaptation id="fullscreen"/>
    </device>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="14088"/>
        <capability name="Aspect ratio constraints" minToolsVersion="5.1"/>
        <capability name="Constraints with non-1.0 multipliers" minToolsVersion="5.1"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--Video List View Controller-->
        <scene sceneID="xGT-PR-5e7">
            <objects>
                <viewController storyboardIdentifier="VideoListViewController" useStoryboardIdentifierAsRestorationIdentifier="YES" id="qOD-Xk-sUG" customClass="VideoListViewController" customModule="PhoChannel" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="tgE-Xs-Unx">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <collectionView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" showsHorizontalScrollIndicator="NO" showsVerticalScrollIndicator="NO" dataMode="prototypes" translatesAutoresizingMaskIntoConstraints="NO" id="1m0-1o-3HV">
                                <rect key="frame" x="0.0" y="64" width="375" height="603"/>
                                <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <collectionViewFlowLayout key="collectionViewLayout" minimumLineSpacing="0.0" minimumInteritemSpacing="0.0" id="W2I-xL-F64">
                                    <size key="itemSize" width="50" height="50"/>
                                    <size key="headerReferenceSize" width="0.0" height="0.0"/>
                                    <size key="footerReferenceSize" width="0.0" height="0.0"/>
                                    <inset key="sectionInset" minX="0.0" minY="0.0" maxX="0.0" maxY="0.0"/>
                                </collectionViewFlowLayout>
                                <cells/>
                                <connections>
                                    <outlet property="dataSource" destination="qOD-Xk-sUG" id="08t-gd-tue"/>
                                    <outlet property="delegate" destination="qOD-Xk-sUG" id="0AC-om-HkZ"/>
                                </connections>
                            </collectionView>
                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Chưa có dữ liệu" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="p2w-Ug-IdT">
                                <rect key="frame" x="10" y="356" width="354" height="19"/>
                                <fontDescription key="fontDescription" name="HelveticaNeue" family="Helvetica Neue" pointSize="16"/>
                                <nil key="textColor"/>
                                <nil key="highlightedColor"/>
                            </label>
                        </subviews>
                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                        <constraints>
                            <constraint firstItem="1m0-1o-3HV" firstAttribute="leading" secondItem="DaD-DM-Jbr" secondAttribute="leading" id="6Ew-4O-Zgm"/>
                            <constraint firstItem="DaD-DM-Jbr" firstAttribute="bottom" secondItem="1m0-1o-3HV" secondAttribute="bottom" id="JZd-sI-HZN"/>
                            <constraint firstItem="p2w-Ug-IdT" firstAttribute="leading" secondItem="DaD-DM-Jbr" secondAttribute="leading" constant="10" id="OAw-8j-yg3"/>
                            <constraint firstItem="1m0-1o-3HV" firstAttribute="top" secondItem="DaD-DM-Jbr" secondAttribute="top" id="RQF-Dd-H5y"/>
                            <constraint firstItem="p2w-Ug-IdT" firstAttribute="centerX" secondItem="DaD-DM-Jbr" secondAttribute="centerX" id="RU4-cY-rnY"/>
                            <constraint firstItem="p2w-Ug-IdT" firstAttribute="centerY" secondItem="DaD-DM-Jbr" secondAttribute="centerY" id="TyV-F3-EWo"/>
                            <constraint firstItem="DaD-DM-Jbr" firstAttribute="trailing" secondItem="1m0-1o-3HV" secondAttribute="trailing" id="W6i-ek-i7D"/>
                        </constraints>
                        <viewLayoutGuide key="safeArea" id="DaD-DM-Jbr"/>
                    </view>
                    <navigationItem key="navigationItem" id="ceC-Cq-c8J"/>
                    <connections>
                        <outlet property="collectionView" destination="1m0-1o-3HV" id="4tq-oV-2fH"/>
                        <outlet property="noDataLabel" destination="p2w-Ug-IdT" id="JTX-5g-fFq"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="cCc-Tm-h9H" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="960.79999999999995" y="799.2503748125938"/>
        </scene>
        <!--Video Detail View Controller-->
        <scene sceneID="mGg-il-KZK">
            <objects>
                <viewController storyboardIdentifier="VideoDetailViewController" useStoryboardIdentifierAsRestorationIdentifier="YES" id="MJu-LU-RNy" customClass="VideoDetailViewController" customModule="PhoChannel" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="FKs-hZ-UUN">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="mJZ-1s-EIN">
                                <rect key="frame" x="0.0" y="20" width="375" height="211"/>
                                <subviews>
                                    <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" translatesAutoresizingMaskIntoConstraints="NO" id="Ic7-fJ-Eib" customClass="VideoThumbnailView" customModule="PhoChannel" customModuleProvider="target">
                                        <rect key="frame" x="0.0" y="0.0" width="375" height="211"/>
                                        <constraints>
                                            <constraint firstAttribute="width" secondItem="Ic7-fJ-Eib" secondAttribute="height" multiplier="16:9" id="3DB-jZ-oYG"/>
                                        </constraints>
                                    </imageView>
                                    <button opaque="NO" clipsSubviews="YES" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="mRd-IO-BRG">
                                        <rect key="frame" x="134.5" y="53" width="105.5" height="105"/>
                                        <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <constraints>
                                            <constraint firstAttribute="width" secondItem="mRd-IO-BRG" secondAttribute="height" multiplier="1:1" id="Eq4-OC-Bgo"/>
                                        </constraints>
                                        <state key="normal" image="icon_youtube">
                                            <color key="titleColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        </state>
                                    </button>
                                </subviews>
                                <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <constraints>
                                    <constraint firstItem="mRd-IO-BRG" firstAttribute="height" secondItem="Ic7-fJ-Eib" secondAttribute="height" multiplier="1:2" id="BbF-fN-YTe"/>
                                    <constraint firstItem="Ic7-fJ-Eib" firstAttribute="top" secondItem="mJZ-1s-EIN" secondAttribute="top" id="J0z-4w-X7d"/>
                                    <constraint firstItem="mRd-IO-BRG" firstAttribute="centerX" secondItem="Ic7-fJ-Eib" secondAttribute="centerX" id="LZL-sn-JVB"/>
                                    <constraint firstAttribute="bottom" secondItem="Ic7-fJ-Eib" secondAttribute="bottom" id="O7Y-rm-Ref"/>
                                    <constraint firstAttribute="trailing" secondItem="Ic7-fJ-Eib" secondAttribute="trailing" id="SaP-bj-QkJ"/>
                                    <constraint firstItem="Ic7-fJ-Eib" firstAttribute="leading" secondItem="mJZ-1s-EIN" secondAttribute="leading" id="YSW-hD-GQ3"/>
                                    <constraint firstItem="mRd-IO-BRG" firstAttribute="centerY" secondItem="Ic7-fJ-Eib" secondAttribute="centerY" id="do3-BS-15q"/>
                                </constraints>
                            </view>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="BPb-ow-QOC">
                                <rect key="frame" x="0.0" y="20" width="60" height="60"/>
                                <constraints>
                                    <constraint firstAttribute="width" constant="60" id="iks-Xb-yBf"/>
                                    <constraint firstAttribute="height" constant="60" id="od9-cT-Qms"/>
                                </constraints>
                                <state key="normal" image="icon_close"/>
                            </button>
                            <tableView clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" showsHorizontalScrollIndicator="NO" showsVerticalScrollIndicator="NO" dataMode="prototypes" style="plain" separatorStyle="default" rowHeight="-1" estimatedRowHeight="-1" sectionHeaderHeight="28" sectionFooterHeight="28" translatesAutoresizingMaskIntoConstraints="NO" id="yEr-qu-2UR">
                                <rect key="frame" x="0.0" y="231" width="375" height="436"/>
                                <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <connections>
                                    <outlet property="dataSource" destination="MJu-LU-RNy" id="uyX-e2-RIt"/>
                                    <outlet property="delegate" destination="MJu-LU-RNy" id="bNz-sU-45U"/>
                                </connections>
                            </tableView>
                        </subviews>
                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                        <constraints>
                            <constraint firstItem="ic8-KZ-JgC" firstAttribute="bottom" secondItem="yEr-qu-2UR" secondAttribute="bottom" id="6oY-oA-qgd"/>
                            <constraint firstItem="yEr-qu-2UR" firstAttribute="top" secondItem="mJZ-1s-EIN" secondAttribute="bottom" id="8nO-TG-Fnc"/>
                            <constraint firstItem="yEr-qu-2UR" firstAttribute="leading" secondItem="ic8-KZ-JgC" secondAttribute="leading" id="Lmr-9t-AYL"/>
                            <constraint firstItem="ic8-KZ-JgC" firstAttribute="leading" secondItem="mJZ-1s-EIN" secondAttribute="leading" id="R1u-5r-hdk"/>
                            <constraint firstItem="mJZ-1s-EIN" firstAttribute="trailing" secondItem="ic8-KZ-JgC" secondAttribute="trailing" id="SB8-OL-wDx"/>
                            <constraint firstItem="BPb-ow-QOC" firstAttribute="top" secondItem="ic8-KZ-JgC" secondAttribute="top" id="UWb-1G-4Q8"/>
                            <constraint firstItem="ic8-KZ-JgC" firstAttribute="top" secondItem="mJZ-1s-EIN" secondAttribute="top" id="Ubl-dN-iDd"/>
                            <constraint firstItem="ic8-KZ-JgC" firstAttribute="trailing" secondItem="yEr-qu-2UR" secondAttribute="trailing" id="bHg-76-s4e"/>
                            <constraint firstItem="BPb-ow-QOC" firstAttribute="leading" secondItem="ic8-KZ-JgC" secondAttribute="leading" id="fQD-r2-sK6"/>
                        </constraints>
                        <viewLayoutGuide key="safeArea" id="ic8-KZ-JgC"/>
                    </view>
                    <connections>
                        <outlet property="dismissButton" destination="BPb-ow-QOC" id="Adk-yg-KRH"/>
                        <outlet property="playVideoButton" destination="mRd-IO-BRG" id="oJH-Lm-NR9"/>
                        <outlet property="tableView" destination="yEr-qu-2UR" id="GXc-xf-ZGB"/>
                        <outlet property="videoThumbnail" destination="Ic7-fJ-Eib" id="9fO-gY-x1A"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="xa6-Q5-wvR" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="2404" y="799"/>
        </scene>
        <!--Navigation Controller-->
        <scene sceneID="ruY-MN-Ra7">
            <objects>
                <navigationController automaticallyAdjustsScrollViewInsets="NO" id="XmM-PM-WrH" sceneMemberID="viewController">
                    <toolbarItems/>
                    <navigationBar key="navigationBar" contentMode="scaleToFill" insetsLayoutMarginsFromSafeArea="NO" id="YNg-Kr-rY3">
                        <rect key="frame" x="0.0" y="20" width="375" height="44"/>
                        <autoresizingMask key="autoresizingMask"/>
                    </navigationBar>
                    <nil name="viewControllers"/>
                    <connections>
                        <segue destination="qOD-Xk-sUG" kind="relationship" relationship="rootViewController" id="Zge-sM-oPm"/>
                    </connections>
                </navigationController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="U7X-l2-KgT" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="21.600000000000001" y="799.2503748125938"/>
        </scene>
    </scenes>
    <resources>
        <image name="icon_close" width="30" height="30"/>
        <image name="icon_youtube" width="64" height="64"/>
    </resources>
</document>
